// This file is part of Awali.
// Copyright 2016-2020 Sylvain Lombardy, Victor Marsault, Jacques Sakarovitch
//
// Awali is a free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

#include <awali/dyn/core/automaton.hh>
#include <awali/dyn/modules/context.hh>

namespace awali { namespace dyn {

  automaton_t::automaton_t() 
    : std::shared_ptr<abstract_automaton_t>()
  {
  }

  automaton_t automaton_t::from_context(context_t ctx) {
    return make_automaton_from_context(ctx);
  }


//   automaton_t::automaton_t(const std::shared_ptr<abstract_automaton_t>& a) 
//     : std::shared_ptr<abstract_automaton_t>(a)
//   {
//   }

}}

